Summary: A GNU Emacs major mode for editing SGML documents.
name: psgml
Version: 1.2.2
Release: 3mdk
Prereq: sgml-common
Requires: emacs
License: GPL
Source: ftp://ftp.lysator.liu.se/pub/sgml/psgml-%{version}.tar.bz2
# patch: psgml.patch
Group: Editors
Buildroot: %{_tmppath}/%{name}-root
BuildArch: noarch
%define psgmldir %{_datadir}/emacs/site-lisp/psgml

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents. PSGML
is a major mode for SGML (a markup language) documents.  PSGML
provides several functionalities for editing SGML documents:
indentation according to element nesting depth and identification of
structural errors (but it is not a validating SGML parser); menus and
commands for inserting tags with only the contextually valid tags;
attribute values can be edited in a separate window with information
about types and defaults; structure based editing includes movement
and killing; and also several commands for folding editing.

%prep
%setup 

%build
%configure
make infodir=%{_infodir} psgmldir=%{psgmldir}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{psgmldir},%{_infodir},%{_libdir}/sgml/cdtd}

%makeinstall psgmldir=$RPM_BUILD_ROOT%{psgmldir} lispdir=$RPM_BUILD_ROOT%{psgmldir}

for i in $RPM_BUILD_ROOT%{psgmldir}/*.elc; do 
  rm -f $i
  cp `echo $(basename $i) | sed s/elc/el/` $RPM_BUILD_ROOT%{psgmldir}
done

make install-info infodir=$RPM_BUILD_ROOT%{_infodir}

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}-init.el
(add-to-list 'load-path "%{psgmldir}")

(autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)
(if (not (getenv "SGML_CATALOG_FILES"))
   (defvar sgml-catalog-files '("CATALOG" "%{_libdir}/sgml/CATALOG" "%{_libdir}/sgml-tools/dtd/catalog"))
  "*List of catalog entry files.
The files are in the format defined in the SGML Open Draft Technical
Resolution on Entity Management.")
(put 'sgml-catalog-files 'sgml-type 'list)
EOF

%post
%_install_info %{name}.info

%_install_info %{name}-api.info

%postun
%_remove_install_info %{name}.info

%_remove_install_info %{name}-api.info

%files
%defattr(-,root,root)
%doc README.psgml
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-init.el
%{psgmldir}
%{_libdir}/sgml/cdtd
%{_infodir}/*

%changelog
* Fri Aug 31 2001 Lenny Cartier <lenny@mandrakesoft.com>  1.2.2-3mdk
- rebuild

* Fri Jun 22 2001 Pixel <pixel@mandrakesoft.com> 1.2.2-2mdk
- much cleanup (still doesn't work?)

* Wed Jun 21 2001 Camille Begnis <camille@mandrakesoft.com> 1.2.2-1mdk  
- Stole spec from RH
